<?xml version = "1.0" encoding = "utf-8" ?>
<problem
	version = "1.0"
	id = "qual.2025.main.sportsmen"
>
	<judging>
		<script type = "%icpc">
			<testset
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
				test-count = "41"
			>
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
		<script type = "%ioi">
			<testset
				name = "preliminary"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test comment = "manual cmd: ''" />
				<test comment = "manual cmd: ''" />
				<test comment = "manual cmd: ''" />
			</testset>
			<testset
				name = "main"
				feedback = "outcome"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "generated cmd: 'gen -n=2 -mode=direct -dirtype=max'" />
				<test points = "0" comment = "generated cmd: 'gen -n=7 -mode=direct -dirtype=min'" />
				<test points = "0" comment = "generated cmd: 'gen -n=5 -mode=direct -dirtype=random'" />
				<test points = "0" comment = "generated cmd: 'gen -n=14 -mode=direct -dirtype=random'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=direct -dirtype=max'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=direct -dirtype=max -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=direct -dirtype=min'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=direct -dirtype=min -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=direct -dirtype=random'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating -flip'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating -flip -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating -negate'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating -negate -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating -negate -flip'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=alternating -negate -flip -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided -flip'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided -flip -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided -negate'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided -negate -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided -negate -flip'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=doublesided -negate -flip -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky -flip'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky -flip -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky -negate'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky -negate -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky -negate -flip'" />
				<test points = "0" comment = "generated cmd: 'gen -n=1000 -mode=reverse -revtype=blocky -negate -flip -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=511 -mode=reverse -revtype=blocky -negate'" />
				<test points = "0" comment = "generated cmd: 'gen -n=976 -mode=direct -dirtype=random'" />
				<test points = "0" comment = "generated cmd: 'gen -n=982 -mode=reverse -revtype=doublesided -flip -noise'" />
				<test points = "0" comment = "generated cmd: 'gen -n=944 -mode=reverse -revtype=alternating -negate'" />
				<test points = "0" comment = "generated cmd: 'gen -n=999 -mode=direct -dirtype=max -noise'" />
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
	</judging>
</problem>
